Skip to main content

API Reference

This section covers the structural endpoints that enable interaction with the API.


Environments and Base URLs​

All requests to the process endpoints must be appended to these bases depending on the environment:

EnvironmentBase URL
Staging (Testing Environment)https://blacktrustapp-gateway-6ww9slm0.uc.gateway.dev
Production (Production Environment)https://blacktrustapp-gateway-c7zdy776.uc.gateway.dev
/services prefix with API Key

The paths in this documentation are shown without a prefix, as used with username and password. If your authentication method is an API Key, prefix the path with /services (only on the endpoints available with an API Key; see API Key):

Authentication methodFull URL example
Username and password{BASE_URL}/candidate-requests
API Key{BASE_URL}/services/candidate-requests

See Authentication for more detail.

Global Headers​

All API requests require the following HTTP header:

Content-Type: application/json
Authentication

Authenticate with the method Blacktrust defined for your integration: the x-api-key header or Authorization: Bearer {accessToken} (one or the other, never both). See Authentication to find out which one applies to you.

Response Format

All API responses are returned in JSON format with UTF-8 character encoding.

Errors

See the Errors catalog for the HTTP code, errorCode and message of every possible error, by endpoint.